Subject: Re: [RFC/PATCH] mergetool: use resolved conflicts in all the views

From: Seth House <[email-masked]>
Date: Thu, 17 Dec 2020 10:50:37 -0700

On Thu, Dec 17, 2020 at 04:35:29AM -0600, Felipe Contreras wrote:
> If you want to see the original LOCAL, REMOTE, and BASE, you can turn
> off that option (or simply never turn it on).

Agreed.

Felipe, the functionality in the v3 version of your patch looks good to
me and I think it's well worth including in upstream Git.

Would you mind switching the autoMerge option to be per-tool rather than
under the main mergetool config section?

You're right that it will likely not cause any downstream errors; it's
just a difference in preference. The tools that perform their own
conflict resolution will likely want it off and most of the other tools
will likely want it on. I could envision wanting to configure multiple
mergetools -- some with and some without.

After work today I can go back through the list of mergetools reviewed
in my post and grab screenshots of each with this option enabled so that
everyone in this thread can quickly compare the before/after results.